#ifndef __QT_SETTINGS_H__
#define __QT_SETTINGS_H__

/*
 * QtCurve GTK engine
 *
 * This is a hacked/modified version of the B***Curve GTK engine. Modified to use
 * ~/.qt/qtrc to get colour information to recolour widgets.
 *
 * Changes are (C) Craig Drummond 2003 - Craig.Drummond@lycos.co.uk
 *
 */

#include <gtk/gtk.h>
#if GTK_MAJOR_VERSION==2
#include <gdk/gdkcolor.h>
#else
#include <gdk/gdktypes.h>
#endif
#include "qtcurve.h"

enum qt_fcolor
{
  COLOR_BACKGROUND,
  COLOR_BUTTON,
  COLOR_SELECTED,
  COLOR_WINDOW,

  COLOR_FOREGROUND,
  COLOR_MID,
  COLOR_TEXT,
  COLOR_TEXT_SELECTED,
  COLOR_NONE,
  COLOR_NUMCOLORS=COLOR_NONE  /* NONE does not count! */
};

struct qt_data
{
    GdkColor colors[COLOR_NUMCOLORS];
    char     *font;
};

extern struct qt_data qt_settings;

void qt_init(QtCurveGlobalData *global);
void qt_exit();
void qt_set_colours(GtkStyle *style, GtkRcStyle *rc_style);
void qt_set_font(GtkRcStyle *rc_style);

#endif
