/* Qt Plugin interface for the QtCurve style
 *
 * Taken from B???Curve from R?dH?t
 *
 * (C) Craig Drummond, 2003
 * --------
 *
 * (c) 2002 R?d H?t, Inc.
 * Programmed by Bernhard Rosenkraenzer <bero@r?dh?t.com>
 * Released under the GNU General Public License (GPL) version 2.
 */
#include <qstyleplugin.h>
#include "qtcurve.h"
#include "config.h"

class QtCurveStylePlugin : public QStylePlugin
{
public:
    QtCurveStylePlugin();

    QStringList keys() const;
    QStyle *create(const QString &);
};

QtCurveStylePlugin::QtCurveStylePlugin()
    : QStylePlugin()
{
}

QStringList QtCurveStylePlugin::keys() const
{
    QStringList list;
    list << "QtCurve";

#ifndef USE_SINGLE_STYLE
    list << "QtCurve V2";
    list << "QtCurve V3";
#endif
    return list;
}

QStyle * QtCurveStylePlugin::create(const QString &s)
{
#ifdef USE_SINGLE_STYLE
    if (s.lower() == "qtcurve")
	return new QtCurveStyle;
#else
    if (s.lower() == "qtcurve")
        return new QtCurveStyle(false);
    else if (s.lower() == "qtcurve v2")
        return new QtCurveStyle(true, true, true);
    else if (s.lower() == "qtcurve v3")
        return new QtCurveStyle(true, true, true, true, GROOVE_SUNKEN, GROOVE_SUNKEN, true, false, true, false, IND_CORNER,
                                TB_LIGHT, LV_EXP_ARR, LV_LINES_SOLID, false);
#endif
    return 0;
}

Q_EXPORT_PLUGIN( QtCurveStylePlugin )
